com.creamtec.ajaxswing.gui

## Class AjaxSwingHeadlessGraphicsEnvironment

- java.lang.Object
- - java.awt.GraphicsEnvironment
  - - sun.java2d.HeadlessGraphicsEnvironment
    - - com.creamtec.ajaxswing.gui.AjaxSwingHeadlessGraphicsEnvironment

-     public class AjaxSwingHeadlessGraphicsEnvironment
      extends sun.java2d.HeadlessGraphicsEnvironment

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AjaxSwingHeadlessGraphicsEnvironment.NameHelper` This function is here just because the class name doesn't change during obfuscation

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingHeadlessGraphicsEnvironment()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `sun.awt.FontConfiguration` | `createFontConfiguration(boolean flag, boolean flag1)`
    `java.awt.Point` | `getCenterPoint()`
    `static java.lang.String` | `getClassName()`
    `java.awt.GraphicsDevice` | `getDefaultScreenDevice()`
    `java.awt.print.PrinterJob` | `getPrinterJob()`
    `java.awt.GraphicsDevice[]` | `getScreenDevices()`

    - ### Methods inherited from class sun.java2d.HeadlessGraphicsEnvironment

      `createGraphics, getAllFonts, getAvailableFontFamilyNames, getAvailableFontFamilyNames, getMaximumWindowBounds, getSunGraphicsEnvironment`

    - ### Methods inherited from class java.awt.GraphicsEnvironment

      `getLocalGraphicsEnvironment, isHeadless, isHeadlessInstance, preferLocaleFonts, preferProportionalFonts, registerFont`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingHeadlessGraphicsEnvironment

          public AjaxSwingHeadlessGraphicsEnvironment()

  - ### Method Detail

    - #### getPrinterJob

          public java.awt.print.PrinterJob getPrinterJob()

    - #### createFontConfiguration

          public sun.awt.FontConfiguration createFontConfiguration(boolean flag,
                                                          boolean flag1)

    - #### getClassName

          public static java.lang.String getClassName()

    - #### getScreenDevices

          public java.awt.GraphicsDevice[] getScreenDevices()
                                                     throws java.awt.HeadlessException

      Overrides:
        `getScreenDevices` in class `sun.java2d.HeadlessGraphicsEnvironment`
      Throws:
        `java.awt.HeadlessException`

    - #### getDefaultScreenDevice

          public java.awt.GraphicsDevice getDefaultScreenDevice()

      Overrides:
        `getDefaultScreenDevice` in class `sun.java2d.HeadlessGraphicsEnvironment`

    - #### getCenterPoint

          public java.awt.Point getCenterPoint()
                                        throws java.awt.HeadlessException

      Overrides:
        `getCenterPoint` in class `sun.java2d.HeadlessGraphicsEnvironment`
      Throws:
        `java.awt.HeadlessException`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.